package ch.usi.inf.sp.callgraph.renderer;

import ch.usi.inf.sp.callgraph.CallSite;
import ch.usi.inf.sp.callgraph.ClassType;

public class PossibleTargetAdapter extends CallSiteAdapter {

    private final ClassType possibleTarget;

    public PossibleTargetAdapter(CallSite callSite, ClassType possibleTarget) {
        super(callSite);
        this.possibleTarget = possibleTarget;
    }

    @Override
    public String getDeclaringClass() {
        return possibleTarget.getInternalName();
    }
}
